<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
	<title>PHP Numbered Lists from CSS-Tricks</title>
	
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	
	<link rel="stylesheet" type="text/css" href="style.css" />
</head>

<body>

	<div id="page-wrap">
	
		<div id="description-area">
			<h1>PHP Numbered Lists</h1>
			<p>By <a href="http://css-tricks.com"><strong>CSS</strong>-Tricks</a></p>
			<br />
			
			<p class="description">Ordered lists are boring! If you are within a loop, the possibility for cool numbered lists presents itself. Just set up a simple integer variable in PHP that increments itself while the loop is running. Then echo the variable out where you need it and style it with CSS. This could be easily adapted to be used within the comment loops within WordPress, which is where I got the idea to do this =)</p><br />
			
			<p class="description">In this example, I just used a h2 element with a huge font size, grey color, floated to the left, with a little right margin. This technique is nice and bulletproof because it doesn't use any graphic elements to contain the number. The code is below.</p>
		

		<?php for ($i = 1; ; $i++) { 
		
		   if ($i > 9) {
			   break;
		   }  ?>
		   
		   <div class="comment-box">
		   		<h2 class="number"><?php echo $i ?></h2>
		   		<p>Typi tation gothica quis sollemnes eum. Consequat magna ex usus lectores lectorum. Lectores etiam eorum est diam assum. Commodo consequat legere volutpat dynamicus eleifend. Doming possim illum legere ad quis. Facilisi claram notare doming claritas consequat. Enim eleifend molestie possim nobis luptatum. Eum vero et delenit feugait accumsan. Hendrerit tincidunt vero vel eorum claritatem. Soluta legunt quod qui dolore typi.</p>
		   </div>
		   
		<?php }
		
		?> 
		
		<div style="clear: both;"></div>
		
<h2>Here is an example of a simple PHP loop:</h2>

<pre><code>&lt;?php for ($i = 1; ; $i++) { 
		
   if ($i > 9) {
      break;
   }  ?&gt;
		   
   &lt;div class="comment-box"&gt;
      &lt;h2 class="number"&gt;&lt;?php echo $i ?&gt;&lt;/h2&gt;
      &lt;p&gt;CONTENT GOES HERE.&lt;/p&gt;
   &lt;/div&gt;
		   
&lt;?php } ?&gt; </code></pre>

<br /><br />

<h2>Here is the applicable CSS:</h2>

<pre><code>h2.number {
	position: relative;
	top: 0px;
	left: 0px;
	font-size: 10em;
	color: #ccc;
	float: left;
	margin-right: 10px
}

#page-wrap {
	width: 760px;
	background: white;
	margin: 0 auto;
	padding: 10px 0px 50px 0px;
	background: white url(images/gradient2-bg.gif) bottom repeat-x;
}

.comment-box {
	margin: 0px 0px 50px 50px;
	padding: 20px;
	width: 240px;
	border: 1px solid black;
	float: left;
}</code></pre>

</div>
	
	</div>
	
	<script src="http://www.google-analytics.com/urchin.js" type="text/javascript">
	</script>
	<script type="text/javascript">
	_uacct = "UA-68528-29";
	urchinTracker();
	</script>

</body>

</html>